# Confirm Payment

```
POST 
/payments/:id/confirm
```

Confirms a payment that was created without payment details. This endpoint can only be used with payments in `PENDING` status.

The two-step payment flow:

1. **Create**: First, create a payment without payment details (status: `PENDING`)
2. **Confirm**: Then provide payment details to complete the transaction

When confirming a payment, you can use:

* A newly generated `paymentToken` from [monei.js Components](https://docs.monei.com/monei-js/overview/)
* A permanent `paymentToken` from a previous payment (generated with `generatePaymentToken: true`)

Using permanent payment tokens enables one-click checkout experiences for returning customers without requiring them to re-enter their payment information.

You can provide additional customer information during confirmation, which will override any corresponding information originally passed in the payment creation request.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200
* 400
* 401
* 404
* 422
* 500
* 503

A payment object

The request is incorrect or could not be processed

Unauthorized error. Please check your auth credentials

The specified resource was not found

The request was well-formed but could not be processed due to semantic errors

Unexpected server error

The service is temporarily unavailable
